<back to all web services

ToggleMobileFormatsContentTypesDto

The following routes are available for this service:
PUT/RestApi/Sitefinity/mobile-formats/content-types/toggle
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*


open class ToggleMobileFormatsContentTypesDto
{
    open var SiteId:String? = null
    open var MobileFormatContentTypes:ArrayList<MobileFormatContentTypeDto>? = null
}

open class MobileFormatContentTypeDto
{
    open var ContentTypeDisplayName:String? = null
    open var ContentTypeName:String? = null
    open var ContentTypeFullname:String? = null
    open var Active:Boolean? = null
}

Kotlin ToggleMobileFormatsContentTypesDto DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

PUT /RestApi/Sitefinity/mobile-formats/content-types/toggle HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
Content-Type: text/csv
Content-Length: length

{"SiteId":"String"}